/*
 * OriginesFinancementNib.java
 *
 */

package org.cocktail.corossol.client.nib;

import javax.swing.JFormattedTextField;
import org.cocktail.application.palette.JPanelCocktail;
import org.cocktail.corossol.client.eof.metier.EOTitre;

public class OriginesFinancementNib extends JPanelCocktail {
    
    /** Creates new form OriginesFinancementNib */
    public OriginesFinancementNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabelCocktail1 = new javax.swing.JLabel();
        jLabelCocktail8 = new javax.swing.JLabel();
        jLabelCocktail11 = new javax.swing.JLabel();
        jComboBoxOrigineFinancement = new javax.swing.JComboBox();
        jButtonCocktailAnnuler = new javax.swing.JButton();
        jButtonCocktailValider = new javax.swing.JButton();
        jTextFieldPourcentage = new javax.swing.JFormattedTextField();
        jTextFieldTitre = new javax.swing.JTextField();
        jButtonRechercher = new javax.swing.JButton();
        jLabelCocktail9 = new javax.swing.JLabel();
        jTextFieldMontant = new javax.swing.JFormattedTextField();
        jLabelMessageInformation = new javax.swing.JLabel();
        jButtonCalculMontant = new javax.swing.JButton();

        setMinimumSize(new java.awt.Dimension(450, 290));
        setPreferredSize(new java.awt.Dimension(450, 290));

        jLabelCocktail1.setText("Titre :");

        jLabelCocktail8.setText("Pourcentage :");

        jLabelCocktail11.setText("Origine de financement :");

        jComboBoxOrigineFinancement.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Lineaire", "Degressif" }));
        jComboBoxOrigineFinancement.setMaximumSize(new java.awt.Dimension(235, 27));
        jComboBoxOrigineFinancement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxOrigineFinancementActionPerformed(evt);
            }
        });

        jButtonCocktailAnnuler.setText("Annuler");
        jButtonCocktailAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAnnulerActionPerformed(evt);
            }
        });

        jButtonCocktailValider.setText("Valider");

        jButtonRechercher.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonRechercherActionPerformed(evt);
            }
        });

        jLabelCocktail9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelCocktail9.setText("Montant :");

        jLabelMessageInformation.setBackground(new java.awt.Color(255, 255, 204));
        jLabelMessageInformation.setFont(new java.awt.Font("Lucida Grande", 0, 11)); // NOI18N
        jLabelMessageInformation.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelMessageInformation.setText("<html><center>Le montant sera la valeur utilisée par défaut.<br>\nLe pourcentage n'est là que pour aider à la saisie, il sera recalculé en fonction du montant, il peut donc varier de quelques dixièmes.");
        jLabelMessageInformation.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jLabelMessageInformation.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jLabelMessageInformation.setOpaque(true);

        jButtonCalculMontant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCalculMontantActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(85, 85, 85)
                        .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 134, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 136, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(0, 83, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabelCocktail1)
                                .add(18, 18, 18)
                                .add(jTextFieldTitre)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jButtonRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jLabelMessageInformation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(jLabelCocktail8)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jTextFieldPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jLabelCocktail11))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(jButtonCalculMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(jLabelCocktail9)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jTextFieldMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(jComboBoxOrigineFinancement, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(0, 0, Short.MAX_VALUE)))))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(25, 25, 25)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail11)
                    .add(jComboBoxOrigineFinancement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButtonCalculMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail8)
                        .add(jTextFieldPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jTextFieldMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabelCocktail9)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelMessageInformation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail1)
                        .add(jTextFieldTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jButtonRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButtonCocktailAnnuler)
                    .add(jButtonCocktailValider))
                .add(20, 20, 20))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAnnulerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAnnulerActionPerformed

    private void jButtonRechercherActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonRechercherActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonRechercherActionPerformed

    private void jComboBoxOrigineFinancementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxOrigineFinancementActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jComboBoxOrigineFinancementActionPerformed

    private void jButtonCalculMontantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCalculMontantActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCalculMontantActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonCalculMontant;
    public javax.swing.JButton jButtonCocktailAnnuler;
    public javax.swing.JButton jButtonCocktailValider;
    public javax.swing.JButton jButtonRechercher;
    public javax.swing.JComboBox jComboBoxOrigineFinancement;
    public javax.swing.JLabel jLabelCocktail1;
    public javax.swing.JLabel jLabelCocktail11;
    public javax.swing.JLabel jLabelCocktail8;
    public javax.swing.JLabel jLabelCocktail9;
    public javax.swing.JLabel jLabelMessageInformation;
    public javax.swing.JFormattedTextField jTextFieldMontant;
    public javax.swing.JFormattedTextField jTextFieldPourcentage;
    public javax.swing.JTextField jTextFieldTitre;
    // End of variables declaration//GEN-END:variables
       
	public javax.swing.JButton getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(javax.swing.JButton buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public javax.swing.JButton getJButtonCocktailRechercher() {
		return jButtonRechercher;
	}

	public void setJButtonCocktailRechercher(javax.swing.JButton buttonCocktailRechercher) {
		jButtonRechercher = buttonCocktailRechercher;
	}

	public javax.swing.JButton getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(javax.swing.JButton buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}

	public javax.swing.JComboBox getJComboBoxOrigineFinancement() {
		return jComboBoxOrigineFinancement;
	}

	public void setJComboBoxOrigineFinancement(javax.swing.JComboBox comboBoxOrigineFinancement) {
		jComboBoxOrigineFinancement = comboBoxOrigineFinancement;
	}

	public javax.swing.JFormattedTextField getJTextFieldPourcentage() {
		return jTextFieldPourcentage;
	}

	public void setJTextFieldPourcentage(javax.swing.JFormattedTextField textFieldPourcentage) {
		jTextFieldPourcentage = textFieldPourcentage;
	}
        
	public javax.swing.JTextField getJTextFieldTitre() {
		return jTextFieldTitre;
	}

	public void setJTextFieldTitre(javax.swing.JTextField textFieldTitre) {
		jTextFieldTitre = textFieldTitre;
	}

    public JFormattedTextField getjTextFieldMontant() {
        return jTextFieldMontant;
    }

    public void setjTextFieldMontant(JFormattedTextField jTextFieldMontant) {
        this.jTextFieldMontant = jTextFieldMontant;
    }

	public javax.swing.JButton getjButtonCalculMontant() {
		return jButtonCalculMontant;
	}

	public void setjButtonCalculMontant(javax.swing.JButton jButtonCalculMontant) {
		this.jButtonCalculMontant = jButtonCalculMontant;
	}     
}
